Package org.codehaus.groovy.util

# Class FloatFloatArrayColumnIterator

java.lang.Object
org.codehaus.groovy.util.FloatFloatArrayColumnIterator

All Implemented Interfaces:
  `Iterator<float[]>`

public class FloatFloatArrayColumnIterator extends Object implements Iterator<float[]>
An iterator providing the columns of a float[][]. In the case of an array with different size rows, the number of columns will be equal to the length of the smallest row.

Since:
  5.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatFloatArrayColumnIterator(float[][] array)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `float[]`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### FloatFloatArrayColumnIterator

    public FloatFloatArrayColumnIterator(float[][] array)

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<float[]>`

  - ### next

    public float[] next()
    Specified by:
      `next` in interface `Iterator<float[]>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<float[]>`